aboutsummaryrefslogtreecommitdiff
path: root/.config/lf
diff options
context:
space:
mode:
Diffstat (limited to '.config/lf')
-rwxr-xr-x.config/lf/cleaner4
-rwxr-xr-x.config/lf/kitty_scope29
-rwxr-xr-x.config/lf/scope29
3 files changed, 38 insertions, 24 deletions
diff --git a/.config/lf/cleaner b/.config/lf/cleaner
index 08dd4e8..9b48783 100755
--- a/.config/lf/cleaner
+++ b/.config/lf/cleaner
@@ -1,4 +1,4 @@
#!/bin/sh
-rm ~/.cache/lf/* -f
-exec kitty +kitten icat --clear --stdin no --silent --transfer-mode file </dev/null >/dev/tty
+#rm ~/.cache/lf/* -f
+#exec kitty +kitten icat --clear --stdin no --silent --transfer-mode file </dev/null >/dev/tty
diff --git a/.config/lf/kitty_scope b/.config/lf/kitty_scope
new file mode 100755
index 0000000..a7d0bc1
--- /dev/null
+++ b/.config/lf/kitty_scope
@@ -0,0 +1,29 @@
+#!/bin/sh
+draw() {
+ kitty +kitten icat --silent --stdin no --transfer-mode file --place "${w}x${h}@${x}x${y}" "$1" </dev/null >/dev/tty
+ exit 1
+}
+
+file="$1"
+w="$2"
+h="$3"
+x="$4"
+y="$5"
+
+case "$(file -Lb --mime-type "$file")" in
+ image/*)
+ draw "$file"
+ ;;
+ audio/* | application/octet-stream) mediainfo "$1" || exit 1 ;;
+ video/*)
+ # vidthumb is from here:
+ # https://raw.githubusercontent.com/duganchen/kitty-pistol-previewer/main/vidthumb
+ CACHE="${XDG_CACHE_HOME:-$HOME/.cache}/lf/thumb.$(stat --printf '%n\0%i\0%F\0%s\0%W\0%Y' -- "$(readlink -f "$1")" | sha256sum | cut -d' ' -f1)"
+ [ ! -f "$CACHE" ] && ffmpegthumbnailer -i "$1" -o "$CACHE" -s 0
+ draw "$CACHE"
+ #draw "$(vidthumb "$file")"
+ ;;
+ text/* | */xml | application/json | application/x-ndjson) bat -p --theme ansi --terminal-width "$(($4-2))" -f "$1" ;;
+esac
+
+#pistol "$file"lace "${2}x${3}@${4}x${5}" "$1"
diff --git a/.config/lf/scope b/.config/lf/scope
index a7d0bc1..5f892ed 100755
--- a/.config/lf/scope
+++ b/.config/lf/scope
@@ -1,29 +1,14 @@
#!/bin/sh
-draw() {
- kitty +kitten icat --silent --stdin no --transfer-mode file --place "${w}x${h}@${x}x${y}" "$1" </dev/null >/dev/tty
- exit 1
-}
-
-file="$1"
-w="$2"
-h="$3"
-x="$4"
-y="$5"
-
-case "$(file -Lb --mime-type "$file")" in
+case "$(file -Lb --mime-type -- "$1")" in
image/*)
- draw "$file"
+ chafa -f sixel -s "$2x$3" --animate off --polite on "$1"
+ exit 1
+ ;;
+ text/*)
+ cat "$1"
;;
- audio/* | application/octet-stream) mediainfo "$1" || exit 1 ;;
video/*)
- # vidthumb is from here:
- # https://raw.githubusercontent.com/duganchen/kitty-pistol-previewer/main/vidthumb
CACHE="${XDG_CACHE_HOME:-$HOME/.cache}/lf/thumb.$(stat --printf '%n\0%i\0%F\0%s\0%W\0%Y' -- "$(readlink -f "$1")" | sha256sum | cut -d' ' -f1)"
[ ! -f "$CACHE" ] && ffmpegthumbnailer -i "$1" -o "$CACHE" -s 0
- draw "$CACHE"
- #draw "$(vidthumb "$file")"
- ;;
- text/* | */xml | application/json | application/x-ndjson) bat -p --theme ansi --terminal-width "$(($4-2))" -f "$1" ;;
+ chafa -f sixel -s "$2x$3" --animate off --polite on "$CACHE"
esac
-
-#pistol "$file"lace "${2}x${3}@${4}x${5}" "$1"